<?php
/**
 * Deals Store: Block Patterns
 *
 * @since Deals Store 1.0
 */

function deals_store_register_block_patterns() {

	$patterns = array();

	$block_pattern_categories = array(
		'deals-store' => array( 'label' => __( 'Deals Store', 'deals-store' ) )
	);
	$block_pattern_categories = apply_filters( 'deals_store_block_pattern_categories', $block_pattern_categories );

	foreach ( $block_pattern_categories as $name => $properties ) {
		if ( ! WP_Block_Pattern_Categories_Registry::get_instance()->is_registered( $name ) ) {
			register_block_pattern_category( $name, $properties );
		}
	}
}
add_action( 'init', 'deals_store_register_block_patterns', 9 );